<?php
declare(strict_types=1);

namespace App\Framework\DateTime;

interface Timer
{
    /**
     * Pausiert die Ausführung für die angegebene Anzahl von Sekunden.
     *
     * @param int $seconds Anzahl der Sekunden
     */
    public function sleep(int $seconds): void;

    /**
     * Pausiert die Ausführung für die angegebene Anzahl von Mikrosekunden.
     *
     * @param int $microseconds Anzahl der Mikrosekunden
     */
    public function usleep(int $microseconds): void;

    /**
     * Pausiert die Ausführung für die angegebene Anzahl von Millisekunden.
     *
     * @param int $milliseconds Anzahl der Millisekunden
     */
    public function msleep(int $milliseconds): void;
}
